# If running inside tmux ($TMUX is set), then change the status line to red
%if #{TMUX}
set -g status-bg red
%endif

# Change the prefix key to C-a
set -g prefix C-a
unbind C-b
bind C-a send-prefix

# 0 is too far from ` ;)
set -g base-index 1

# Automatically set window title
set-window-option -g automatic-rename on
set-option -g set-titles on

# True Colors
set -g default-terminal "xterm-256color"
set -ga terminal-overrides ",*256col*:Tc"

set -g status-keys vi
set -g history-limit 10000

setw -g mode-keys vi
setw -g mouse on
setw -g monitor-activity on

bind-key v split-window -h
bind-key s split-window -v

bind-key J resize-pane -D 5
bind-key K resize-pane -U 5
bind-key H resize-pane -L 5
bind-key L resize-pane -R 5

# Vim style pane selection
bind h select-pane -L
bind j select-pane -D
bind k select-pane -U
bind l select-pane -R

# Use Alt-vim keys without prefix key to switch panes
bind -n M-h select-pane -L
bind -n M-j select-pane -D
bind -n M-k select-pane -U
bind -n M-l select-pane -R

# Use Alt-arrow keys without prefix key to switch panes
bind -n M-Left select-pane -L
bind -n M-Right select-pane -R
bind -n M-Up select-pane -U
bind -n M-Down select-pane -D

# Shift arrow to switch windows
bind -n S-Left  previous-window
bind -n S-Right next-window

# No delay for escape key press
set -sg escape-time 0

# Reload tmux config
bind r source-file ~/.tmux.conf

# THEME
set-option -g status-interval 2
set -g status-bg 'black'
set -g status-justify 'centre'
set -g status 'on'
set -g status-left-length '100'
set -g status-right-length '100'
set -g window-status-style fg=white,bg=black,none
set -g window-status-activity-style fg=colour221,bold
set -g status-left '#[fg=black,bg=colour221,nobold,nounderscore,noitalics] #S #[fg=colour221,bg=blue]#[fg=black,bg=blue] #{=15:window_name} #[fg=blue,bg=colour250]#[fg=black,bg=colour250] #(kubectl config current-context 2>/dev/null) #[fg=colour250,bg=black]'
set -g status-right '#[fg=blue,bg=black,nobold,nounderscore,noitalics]#[fg=black,bg=blue] %Y-%m-%d %H:%M #[fg=colour221,bg=blue]#[fg=black,bg=colour221] #(whoami)@#h '
setw -g window-status-format ' #I #{=5:window_name} '
setw -g window-status-current-format '#[fg=colour221,bg=black,nobold,nounderscore,noitalics]#[fg=black,bold,bg=colour221]#I#F#{=5:window_name}#[fg=colour221,bg=black,nobold,nounderscore,noitalics]'
